deprecated

  use `Mocha.Context` instead.

### Hierarchy

- IContext

## Index

### Properties

- test

### Methods

- enableTimeouts
- retries
- runnable
- skip
- slow
- timeout

## Properties

### Optional test

test: IRunnable

- Defined in node_modules/@types/mocha/index.d.ts:2448

## Methods

### enableTimeouts

- enableTimeouts(enableTimeouts: boolean): IContext

- - Defined in node_modules/@types/mocha/index.d.ts:2457
  deprecated

    `.enableTimeouts()` returns `this` in `Mocha.Context`.

  #### Parameters

  - ##### enableTimeouts: boolean

  #### Returns IContext

### retries

- retries(): number
- retries(retries: number): IContext

- - Defined in node_modules/@types/mocha/index.d.ts:2463

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:2465
  deprecated

    `.retries()` returns `this` in `Mocha.Context`.

  #### Parameters

  - ##### retries: number

  #### Returns IContext

### runnable

- runnable(): IRunnable | undefined
- runnable(runnable: IRunnable): IContext

- - Defined in node_modules/@types/mocha/index.d.ts:2449

  #### Returns IRunnable | undefined

- - Defined in node_modules/@types/mocha/index.d.ts:2451
  deprecated

    `.runnable()` returns `this` in `Mocha.Context`.

  #### Parameters

  - ##### runnable: IRunnable

  #### Returns IContext

### skip

- skip(): IContext

- - Defined in node_modules/@types/mocha/index.d.ts:2462
  deprecated

    `.skip()` returns `never` in `Mocha.Context`.

  #### Returns IContext

### slow

- slow(slow: number): IContext

- - Defined in node_modules/@types/mocha/index.d.ts:2460
  deprecated

    `.slow()` returns `this` in `Mocha.Context`.

  #### Parameters

  - ##### slow: number

  #### Returns IContext

### timeout

- timeout(): number
- timeout(timeout: number): IContext

- - Defined in node_modules/@types/mocha/index.d.ts:2452

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:2454
  deprecated

    `.timeout()` returns `this` in `Mocha.Context`.

  #### Parameters

  - ##### timeout: number

  #### Returns IContext

Generated using TypeDoc